Skip to main content


         This documentation site is for previous versions. Visit our new documentation site for current releases.      
 

This content has been archived and is no longer being updated.

Links may not function; however, this content may be relevant to outdated versions of the product.

Troubleshooting: "Browser Plugin Load Errors: Open Authoring Control" after ActiveX installations using CABInstaller

Updated on October 2, 2015

Symptom

After installing or upgrading to Process Commander v6.1 SP2, you encounter the following ActiveX error message in the Designer Studio:

Browser Plugin Load Errors: Open Authoring Control.

NOTE: This issue occurs on all supported versions of Windows and Microsoft Internet Explorer. It affects workstations accessing any v6.1 SP2 installation, if the Active X controls were installed using the OCX (CAB) installer located in the V6.1 SP2 Resource kit.

Analysis

The CabInstaller.zip file for Process Commander 6.1 SP2 does not install the correct, latest versions of some ActiveX controls. Reinstalling the ActiveX controls does not resolve this problem.

(The problem does not occur if ActiveX controls are downloaded to the workstation interactively by Internet Explorer.)

Details

If you installed Process Commander 6.1 SP2 from the Resource kit, the install.bat file installed OpenAuthoring and VisioInterface  6.01.0001. When ActiveX controls are installed from the browser, the correct versions of OpenAuthoring and VisioInterface -- 6.01.0020 – are installed.

Solution

HFix-3091 provides an updated CabInstaller.zip for Process Commander 6.1 SP2. The ZIP file contains replacements for these incorrect or out-of-date files:

prVisioInterface.cab
openauthoring.cab
developer.htm
EndUser.htm

To successfully install correct versions of the CABs provided by HFIX-3091, the user must have administrative privileges on the Windows workstation, which include permissions to download and install ActiveX controls. In typical locked-down corporate environments, users do not have these privileges and require help from IT administrators. The standalone CAB installer implements this administrative task.

Contact Pegasystems Global Customer Support and ask for HFix-3091. For technical reasons, HFIX is not available through the Hot Fix Self Service and cannot be installed by the Update Manager Hotfix Installer.

Have a question? Get answers now.

Visit the Support Center to ask questions, engage in discussions, share ideas, and help others.

Did you find this content helpful?

Want to help us improve this content?

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us